---
sidebar_label: PuppeteerLaunchOptions
---

# PuppeteerLaunchOptions interface

**Signature:**

```typescript
export interface PuppeteerLaunchOptions extends LaunchOptions, BrowserLaunchArgumentOptions, BrowserConnectOptions
```

**Extends:** [LaunchOptions](./puppeteer.launchoptions.md), [BrowserLaunchArgumentOptions](./puppeteer.browserlaunchargumentoptions.md), [BrowserConnectOptions](./puppeteer.browserconnectoptions.md)

## Properties

| Property                                                                      | Modifiers | Type                              | Description       |
| ----------------------------------------------------------------------------- | --------- | --------------------------------- | ----------------- |
| [extraPrefsFirefox?](./puppeteer.puppeteerlaunchoptions.extraprefsfirefox.md) |           | Record&lt;string, unknown&gt;     | <i>(Optional)</i> |
| [product?](./puppeteer.puppeteerlaunchoptions.product.md)                     |           | [Product](./puppeteer.product.md) | <i>(Optional)</i> |
